[arch-commits] Commit in xchm/repos (5 files)

Giovanni Scafora giovanni at archlinux.org
Tue Nov 24 05:50:48 EST 2009


    Date: Tuesday, November 24, 2009 @ 05:50:48
  Author: giovanni
Revision: 59515

Merged revisions 59514 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/xchm/trunk

........
  r59514 | giovanni | 2009-11-24 02:50:06 -0800 (mar, 24 nov 2009) | 2 lines
  
  upgpkg: xchm 1.17-2
      Added install file
........

Added:
  xchm/repos/extra-i686/xchm.install
    (from rev 59514, xchm/trunk/xchm.install)
  xchm/repos/extra-i686/xchm.xml
    (from rev 59514, xchm/trunk/xchm.xml)
Modified:
  xchm/repos/extra-i686/	(properties)
  xchm/repos/extra-i686/PKGBUILD
  xchm/repos/extra-i686/xchm.desktop

--------------+
 PKGBUILD     |   20 +++++++++++++-------
 xchm.desktop |    9 +++++----
 xchm.install |   15 +++++++++++++++
 xchm.xml     |    7 +++++++
 4 files changed, 40 insertions(+), 11 deletions(-)


Property changes on: xchm/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xchm/trunk:1-40074
   + /xchm/trunk:1-59514

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-24 10:50:06 UTC (rev 59514)
+++ extra-i686/PKGBUILD	2009-11-24 10:50:48 UTC (rev 59515)
@@ -3,20 +3,26 @@
 
 pkgname=xchm
 pkgver=1.17
-pkgrel=1
+pkgrel=2
 pkgdesc="A cross-platform GUI front-end to chmlib"
 arch=('i686' 'x86_64')
 url="http://xchm.sourceforge.net"
 license=('GPL')
-depends=('chmlib' 'wxgtk')
-source=(http://downloads.sourceforge.net/sourceforge/xchm/${pkgname}-${pkgver}.tar.gz xchm.desktop)
-md5sums=('4f34bc046fcc59f1af590d8eb1e08934' 
-         '58b60b388189d104923a9150c037920d')
+depends=('chmlib' 'wxgtk' 'desktop-file-utils')
+install=xchm.install
+source=(http://downloads.sourceforge.net/sourceforge/xchm/${pkgname}-${pkgver}.tar.gz
+        xchm.desktop
+        xchm.xml)
+md5sums=('4f34bc046fcc59f1af590d8eb1e08934'
+         '31fb9692b9ee9f2a205f58b9ff4bc4fe'
+         '4102b0a393f5c60236143cc034664dd0')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  export CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
   ./configure --prefix=/usr
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 ../xchm.desktop ${pkgdir}/usr/share/applications/xchm.desktop
+  install -D -m644 ${srcdir}/xchm.desktop "${pkgdir}/usr/share/applications/xchm.desktop" || return 1
+  install -D -m644 ${srcdir}/xchm.xml "${pkgdir}/usr/share/mime/packages/xchm.xml" || return 1
 }

Modified: extra-i686/xchm.desktop
===================================================================
--- extra-i686/xchm.desktop	2009-11-24 10:50:06 UTC (rev 59514)
+++ extra-i686/xchm.desktop	2009-11-24 10:50:48 UTC (rev 59515)
@@ -1,9 +1,10 @@
 [Desktop Entry]
-Name=xchm
+Name=Xchm
 Comment=Views CHM files
-Exec=xchm
-Terminal=0
+Exec=xchm %f
+Terminal=false
 Type=Application
 Icon=xchm-48
-Categories=Application;Office;
+Categories=Viewer;Utility;
 MimeType=application/x-chm;
+StartupNotify=true

Copied: xchm/repos/extra-i686/xchm.install (from rev 59514, xchm/trunk/xchm.install)
===================================================================
--- extra-i686/xchm.install	                        (rev 0)
+++ extra-i686/xchm.install	2009-11-24 10:50:48 UTC (rev 59515)
@@ -0,0 +1,15 @@
+post_install() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-desktop-database -q
+  update-mime-database usr/share/mime > /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-desktop-database -q
+  update-mime-database usr/share/mime > /dev/null
+}

Copied: xchm/repos/extra-i686/xchm.xml (from rev 59514, xchm/trunk/xchm.xml)
===================================================================
--- extra-i686/xchm.xml	                        (rev 0)
+++ extra-i686/xchm.xml	2009-11-24 10:50:48 UTC (rev 59515)
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+  <mime-type type="application/x-chm">
+    <comment>Compiled HTML Help Format</comment>
+    <glob pattern="*.chm"/>
+  </mime-type>
+</mime-info>



More information about the arch-commits mailing list